namespace CMSMicroservice.Application.ProductImagesCQ.Queries.GetAllProductImagesByFilter;
public class GetAllProductImagesByFilterQueryValidator : AbstractValidator<GetAllProductImagesByFilterQuery>
{
    public GetAllProductImagesByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllProductImagesByFilterQuery>.CreateWithOptions((GetAllProductImagesByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
